# openstack.network.v2.address_group

## The AddressGroup Class

The `AddressGroup` class inherits from `Resource`.

class openstack.network.v2.address_group.AddressGroup(_synchronized=False, connection=None, **attrs)

  Address group extension.

  The base resource

  Parameters:

    - _synchronized (bool) – This is not intended to be used directly. See `new()` and `existing()`.

    - connection (openstack.connection.Connection) – Reference to the Connection being used. Defaults to None to allow Resource objects to be used without an active Connection, such as in unit tests. Use of `self._connection` in Resource code should protect itself with a check for None.

  resource_key = 'address_group'

    Singular form of key for resource.

  resources_key = 'address_groups'

    Plural form of key for resource.

  base_path = '/address-groups'

    The base part of the URI for this resource.

  allow_create = True

    Allow create operation for this resource.

  allow_fetch = True

    Allow get operation for this resource.

  allow_commit = True

    Allow update operation for this resource.

  allow_delete = True

    Allow delete operation for this resource.

  allow_list = True

    Allow list operation for this resource.

  id

    The ID of the address group.

  name

    The address group name.

  description

    The address group name.

  project_id

    The ID of the project that owns the address group.

  tenant_id

    Tenant_id (deprecated attribute).

  addresses

    The IP addresses of the address group.

  add_addresses(session, addresses)

    Add addresses into the address group.

    Parameters:

      - session (`Adapter`) – The session to communicate through.

      - addresses (list) – The list of address strings.

    Returns:

      The response as a AddressGroup object with updated addresses

    Raises:

      `SDKException` on error.

  remove_addresses(session, addresses)

    Remove addresses from the address group.

    Parameters:

      - session (`Adapter`) – The session to communicate through.

      - addresses (list) – The list of address strings.

    Returns:

      The response as a AddressGroup object with updated addresses

    Raises:

      `SDKException` on error.

this page last updated: 2026-01-16 23:06:19

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.